## linux-meta-aws-6.17 6.17.0-1005.5~24.04.1

=== debian/changelog ===
linux-meta-aws-6.17 (6.17.0-1005.5~24.04.1) noble; urgency=medium

  * Main version: 6.17.0-1005.5~24.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Magali Lemes <magali.lemes@canonical.com>  Mon, 24 Nov 2025 15:42:38 -0300

linux-meta-aws-6.17 (6.17.0-1004.4~24.04.1) noble; urgency=medium

  * Main version: 6.17.0-1004.4~24.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Magali Lemes <magali.lemes@canonical.com>  Wed, 12 Nov 2025 11:27:24 -0300

linux-meta-aws-6.17 (6.17.0-1004.4~24.04.0) noble; urgency=medium

  * Initial entry

 -- Magali Lemes <magali.lemes@canonical.com>  Tue, 11 Nov 2025 14:59:50 -0300
