## linux-meta-aws-6.17 6.17.0-1005.5~24.04.2

=== debian/changelog ===
linux-meta-aws-6.17 (6.17.0-1005.5~24.04.2) noble; urgency=medium

  * Main version: 6.17.0-1005.5~24.04.2

 -- Magali Lemes <magali.lemes@canonical.com>  Wed, 03 Dec 2025 16:10:19 -0300
