## linux-meta-aws-6.17 6.17.0-1007.7~24.04.1

=== debian/changelog ===
linux-meta-aws-6.17 (6.17.0-1007.7~24.04.1) noble; urgency=medium

  * Main version: 6.17.0-1007.7~24.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

 -- Magali Lemes <magali.lemes@canonical.com>  Thu, 22 Jan 2026 16:03:49 -0300
