=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Standards-Version: 3.9.8
 Build-Depends: dpkg (>= 1.13.19), debhelper (>= 9), gawk, kmod
 Build-Depends-Arch:
- linux-aws-6.17-headers-6.17.0-1005,
- linux-headers-6.17.0-1005-aws,
- linux-modules-6.17.0-1005-aws,
+ linux-aws-6.17-headers-6.17.0-1007,
+ linux-headers-6.17.0-1007-aws,
+ linux-modules-6.17.0-1007-aws,
 Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-meta-aws/+git/noble -b aws-6.17
 
 Package: linux-headers-aws-6.17
@@ -66,7 +66,7 @@
  This kernel is suitable for staging into a kernel snap, and is not
  suitable to be used directly on classic systems.
 
-Package: linux-headers-aws-edge
+Package: linux-headers-aws
 Architecture: amd64 arm64
 Section: kernel
 Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-aws
@@ -74,7 +74,7 @@
  This package will always depend on the latest kernel headers available
  for Amazon Web Services (AWS) systems.
 
-Package: linux-image-aws-edge
+Package: linux-image-aws
 Architecture: amd64 arm64
 Section: kernel
 Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-aws, microcode-initrd [amd64]
@@ -83,7 +83,7 @@
  This package will always depend on the latest kernel image available
  for Amazon Web Services (AWS) systems.
 
-Package: linux-modules-extra-aws-edge
+Package: linux-modules-extra-aws
 Architecture: amd64 arm64
 Section: kernel
 Provides:  
@@ -92,7 +92,7 @@
  This package will always depend on the latest extra modules package available
  for Amazon Web Services (AWS) systems.
 
-Package: linux-tools-aws-edge
+Package: linux-tools-aws
 Architecture: amd64 arm64
 Section: kernel
 Provides: linux-tools
@@ -101,17 +101,17 @@
  This package will always depend on the latest Linux kernel versioned tools
  available for Amazon Web Services (AWS) systems.
 
-Package: linux-aws-edge
-Architecture: amd64 arm64
-Section: kernel
-Provides:  
-Depends: ${misc:Depends}, linux-image-aws-edge (= ${binary:Version}), linux-headers-aws-edge (= ${binary:Version})
+Package: linux-aws
+Architecture: amd64 arm64
+Section: kernel
+Provides:  
+Depends: ${misc:Depends}, linux-image-aws (= ${binary:Version}), linux-headers-aws (= ${binary:Version})
 Recommends: linux-tools-${kernel-abi-version}-aws, ubuntu-kernel-accessories
 Description: Complete Linux kernel for Amazon Web Services (AWS) systems.
  This package will always depend on the latest complete Linux kernel available
  for Amazon Web Services (AWS) systems.
 
-Package: linux-image-uc-aws-edge
+Package: linux-image-uc-aws
 Architecture: amd64 arm64
 Section: kernel
 Depends: ${misc:Depends}, linux-image-uc-${kernel-abi-version}-aws, linux-modules-${kernel-abi-version}-aws
@@ -122,6 +122,62 @@
  This kernel is suitable for staging into a kernel snap, and is not
  suitable to be used directly on classic systems.
 
+Package: linux-headers-aws-edge
+Architecture: amd64 arm64
+Section: kernel
+Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-aws
+Description: Linux kernel headers for Amazon Web Services (AWS) systems.
+ This package will always depend on the latest kernel headers available
+ for Amazon Web Services (AWS) systems.
+
+Package: linux-image-aws-edge
+Architecture: amd64 arm64
+Section: kernel
+Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-aws, microcode-initrd [amd64]
+Provides: ${dkms:zfs-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
+Description: Linux kernel image for Amazon Web Services (AWS) systems.
+ This package will always depend on the latest kernel image available
+ for Amazon Web Services (AWS) systems.
+
+Package: linux-modules-extra-aws-edge
+Architecture: amd64 arm64
+Section: kernel
+Provides:  
+Depends: ${misc:Depends}, linux-modules-extra-${kernel-abi-version}-aws
+Description: Extra modules for Amazon Web Services (AWS) systems.
+ This package will always depend on the latest extra modules package available
+ for Amazon Web Services (AWS) systems.
+
+Package: linux-tools-aws-edge
+Architecture: amd64 arm64
+Section: kernel
+Provides: linux-tools
+Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-aws
+Description: Linux kernel versioned tools for Amazon Web Services (AWS) systems.
+ This package will always depend on the latest Linux kernel versioned tools
+ available for Amazon Web Services (AWS) systems.
+
+Package: linux-aws-edge
+Architecture: amd64 arm64
+Section: kernel
+Provides:  
+Depends: ${misc:Depends}, linux-image-aws-edge (= ${binary:Version}), linux-headers-aws-edge (= ${binary:Version})
+Recommends: linux-tools-${kernel-abi-version}-aws, ubuntu-kernel-accessories
+Description: Complete Linux kernel for Amazon Web Services (AWS) systems.
+ This package will always depend on the latest complete Linux kernel available
+ for Amazon Web Services (AWS) systems.
+
+Package: linux-image-uc-aws-edge
+Architecture: amd64 arm64
+Section: kernel
+Depends: ${misc:Depends}, linux-image-uc-${kernel-abi-version}-aws, linux-modules-${kernel-abi-version}-aws
+Description: AWS Linux kernel image for Ubuntu Core
+ This package will always depend on the latest AWS kernel image
+ available.
+ .
+ This kernel is suitable for staging into a kernel snap, and is not
+ suitable to be used directly on classic systems.
+
 Package: linux-headers-aws-64k-6.17
 Architecture: arm64
 Section: kernel
@@ -167,7 +223,7 @@
  This package will always depend on the latest complete Linux kernel available
  for Amazon Web Services (AWS) systems.
 
-Package: linux-headers-aws-64k-edge
+Package: linux-headers-aws-64k
 Architecture: arm64
 Section: kernel
 Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-aws-64k
@@ -175,7 +231,7 @@
  This package will always depend on the latest kernel headers available
  for Amazon Web Services (AWS) systems.
 
-Package: linux-image-aws-64k-edge
+Package: linux-image-aws-64k
 Architecture: arm64
 Section: kernel
 Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-aws-64k
@@ -184,7 +240,7 @@
  This package will always depend on the latest kernel image available
  for Amazon Web Services (AWS) systems.
 
-Package: linux-modules-extra-aws-64k-edge
+Package: linux-modules-extra-aws-64k
 Architecture: arm64
 Section: kernel
 Provides: 
@@ -193,7 +249,7 @@
  This package will always depend on the latest extra modules package available
  for Amazon Web Services (AWS) systems.
 
-Package: linux-tools-aws-64k-edge
+Package: linux-tools-aws-64k
 Architecture: arm64
 Section: kernel
 Provides: linux-tools
@@ -202,13 +258,19 @@
  This package will always depend on the latest Linux kernel versioned tools
  available for Amazon Web Services (AWS) systems.
 
-Package: linux-aws-64k-edge
+Package: linux-aws-64k
 Architecture: arm64
 Section: kernel
 Provides: 
-Depends: ${misc:Depends}, linux-image-aws-64k-edge (= ${binary:Version}), linux-headers-aws-64k-edge (= ${binary:Version})
+Depends: ${misc:Depends}, linux-image-aws-64k (= ${binary:Version}), linux-headers-aws-64k (= ${binary:Version})
 Recommends: linux-tools-${kernel-abi-version}-aws-64k, ubuntu-kernel-accessories
 Description: Complete Linux kernel for Amazon Web Services (AWS) systems.
  This package will always depend on the latest complete Linux kernel available
  for Amazon Web Services (AWS) systems.
 
+Package: linux-headers-aws-64k-edge
+Architecture: arm64
+Section: kernel
+Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-aws-64k
+Description: Linux kernel headers for Amazon Web Services (AWS) systems.
+ This package will always depend on the latest kernel headers available
